idscp:
  enabled: false

info:
  idsid: urn:scsn:ids:connectors:SCSN-Integration-Test
  curator: urn:scsn:ids:participants:TNO
  maintainer: urn:scsn:ids:participants:TNO
  titles:
    - Test
  descriptions:
    - Test
  accessUrl:
    - https://test

artifacts:
  enabled: true

broker:
  id: urn:ids:broker
  address: https://broker
  autoRegister: false

routes:
  ingress:
    http:
      - endpoint: router
        dataApp: http://internal-data-app:8080/router
        clearing: false
  egress:
    http:
      - endpoint: https_out
        clearing: false

security:
  enabled: true
  apiKeys:
    - id: default
      key: APIKEY-test
      roles:
        - ARTIFACT_PROVIDER_READER

  users:
    - id: admin
      password: $2a$12$Xx4uZNtOBu91N0.D1GBi6ePelIJbNT8UzDppN.fU0P4lomlG/BcCm
      roles:
        - ADMIN
